.\" $NetBSD: nadb.4,v 1.2 2007/12/08 11:06:53 wiz Exp $
.\"
.\" Copyright (c) 2007
.\" 	Michael Lorenz.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd May 14, 2007
.Dt NADB 4
.Os
.Sh NAME
.Nm nadb
.Nd protocol abstraction and device discovery for the Apple Desktop Bus
.Sh SYNOPSIS
.Cd "nadb* at cuda?"
.Cd "nadb* at pmu?"
.Cd "adbkbd* at nadb? console ? mux 1"
.Cd "adbms* at nadb?"
.Cd "adbbt* at nadb?"
.Sh DESCRIPTION
The
.Nm
driver provides an abstract interface for talking to ADB devices.
It also scans the bus during startup, resolves address conflicts
and attaches drivers for known ADB hardware.
.Sh SEE ALSO
.Xr adbbt 4 ,
.Xr adbkbd 4 ,
.Xr adbms 4 ,
.Xr cuda 4 ,
.Xr pmu 4
